### Function

# GLib CompareFunc

since: 2.0

#### Declaration

    gint
    (* GCompareFunc) (
      gconstpointer a,
      gconstpointer b
    )

#### Description

Specifies the type of a comparison function used to compare two values. The function should return a negative integer if the first value comes before the second, 0 if they are equal, or a positive integer if the first value comes after the second.

Available since: 2.0

#### Parameters

`a`

  Type: `gconstpointer`

  A value.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`b`

  Type: `gconstpointer`

  A value to compare with.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

Negative value if `a` < `b`; zero if `a` = `b`; positive value if `a` > `b`.